
QGIS Application - Bug report #14834

Broken Select by Expression algorithm

2016-05-18 05:48 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22788

Description

Since ac0bff32bf6ec7f31f7ebfd0e119162694c4b67d the Select by Expression algorithm is broken - the expression is incorrectly

evaluated by the dialog and the result is passed to processAlgorithm, rather then the actual expression string.

Associated revisions

Revision 2f5c3a57 - 2016-05-23 01:28 PM - Alexander Bruy

[processing] fix expressions handling in ParameterString (fix #14834)

Add initial set of tests for ParameterString

History

#1 - 2016-05-23 04:27 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"2f5c3a570a071923e80874a3df5dc4aaeb5dbafc".
